// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

rinput = bsf.lookupBean("request");

to_uid = rinput.getParameterInt("to_uid",-1);
if (to_uid<=0)
{ // the user ID is not present
  vlib.output(new ErrorBox(null,"Invalid user ID parameter.",null));
  vlib.done();

} // end if

rc = null;
on_error = "top.js.vs";
try
{ // retrieve the user profile
  prof = rinput.user.getProfile(to_uid);
  on_error = "user/" + prof.userName;
  logger.debug("sending quick email message to " + prof.userName);

  // send the actual E-mail message
  prof.sendQuickEmail(rinput.getParameter("subj"),rinput.getParameter("pb"));

  // redirect to the user profile page
  rc = new Redirect("user/" + prof.userName,LinkTypes.SERVLET);

} // end try
catch (e)
{ // determine what to do with an exception
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Database error sending message: " + e.message,on_error);
  else if (etype.match("AccessError"))
    rc = new ErrorBox("Access Error",e.message,on_error);
  else if (etype.match("EmailException"))
    rc = new ErrorBox("E-Mail Error","Error sending e-mail: " + e.message,on_error);
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done!